## org.eclipse.emf.compare.match.metamodel
Interface UnmatchElement

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  UnmatchElementImpl

    public interface UnmatchElement

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Unmatch Element'.

The following features are supported:

- `Element`
- `Conflicting`
- `Remote`
- `Side`

See Also:
  `MatchPackage.getUnmatchElement()`

Method Summary
`org.eclipse.emf.ecore.EObject` `getElement()` Returns the value of the 'Element' reference
`Side` `getSide()` Returns the value of the 'Side' attribute.
`boolean` `isConflicting()` Returns the value of the 'Conflicting' attribute
`boolean` `isRemote()` Returns the value of the 'Remote' attribute
`void` `setConflicting(boolean value)` Sets the value of the '`Conflicting`' attribute
`void` `setElement(org.eclipse.emf.ecore.EObject value)` Sets the value of the '`Element`' reference
`void` `setRemote(boolean value)` Sets the value of the '`Remote`' attribute
`void` `setSide(Side value)` Sets the value of the '`Side`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getElement

    org.eclipse.emf.ecore.EObject getElement()

  Returns the value of the 'Element' reference.

  If the meaning of the 'Element' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Element' reference.
  See Also:
    `setElement(EObject)`, `MatchPackage.getUnmatchElement_Element()`

### setElement

    void setElement(org.eclipse.emf.ecore.EObject value)

  Sets the value of the '`Element`' reference.

  Parameters:
    `value` - the new value of the 'Element' reference.
  See Also:
    `getElement()`

### isConflicting

    boolean isConflicting()

  Returns the value of the 'Conflicting' attribute.

  If the meaning of the 'Conflicting' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Conflicting' attribute.
  See Also:
    `setConflicting(boolean)`, `MatchPackage.getUnmatchElement_Conflicting()`

### setConflicting

    void setConflicting(boolean value)

  Sets the value of the '`Conflicting`' attribute.

  Parameters:
    `value` - the new value of the 'Conflicting' attribute.
  See Also:
    `isConflicting()`

### isRemote

    boolean isRemote()

  Returns the value of the 'Remote' attribute.

  If the meaning of the 'Remote' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Remote' attribute.
  See Also:
    `setRemote(boolean)`, `MatchPackage.getUnmatchElement_Remote()`

### setRemote

    void setRemote(boolean value)

  Sets the value of the '`Remote`' attribute.

  Parameters:
    `value` - the new value of the 'Remote' attribute.
  See Also:
    `isRemote()`

### getSide

    Side getSide()

  Returns the value of the 'Side' attribute. The literals are from the enumeration `Side`.

  If the meaning of the 'Side' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Side' attribute.
  See Also:
    `Side`, `setSide(Side)`, `MatchPackage.getUnmatchElement_Side()`

### setSide

    void setSide(Side value)

  Sets the value of the '`Side`' attribute.

  Parameters:
    `value` - the new value of the 'Side' attribute.
  See Also:
    `Side`, `getSide()`

Copyright 2006 IBM Corporation and others. All Rights Reserved.